﻿@using NacGroup.Module.Core.Services
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Product.Models
@using NacGroup.Module.Product.Models.Schema
@model PagedResult<Product>
@inject IThemeConfigService ThemeConfigService
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var productcat = ViewData["ProductCat"] as ProductCategory;
    ViewData["MetaTitle"] = productcat.Name;
    ViewData["MetaDescription"] = productcat.Name;
    ViewData["MetaKeyword"] = productcat.Name;
    Layout = "_Layout";

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/productdetail-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/productdetail-page.min.js"></script>
}
<main id="product-page">
    <h1 class="hidden">@ViewData["MetaTitle"]</h1>
    <div id="breadcrumb">
        <div class="container">
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li class="active">@productcat.Name</li>
            </ul>
        </div>
    </div>
    <div id="product-cat">
        <div class="section-header container">
            <h5 class="h4 title text-left text-black text-semibold text-uppercase">@productcat.Name</h5>
            <div class="img-container">
                <img src="@productcat.Avatar" alt="@productcat.Name" width="100%">
            </div>
        </div>
        <div class="section-body container">
            <div class="toolbar-container p-2 ">
                <div class="row">
                    <div class="col-md-6 col-sm-12 left flex-center flex-left">
                        <span class="ecs-th-list">
                        </span>
                        <span class="count-item">
                            @Model.TotalItemCount items
                        </span>
                        <select name="" id="" class="sorter-option">
                            <option value="">10</option>
                            <option value="">20</option>
                        </select>
                        <span class="text-bold">Show</span>
                    </div>
                    <div class="col-md-6 col-sm-12 right flex-right flex-center">
                        <label for="" class="text-bold">Sort By</label>
                        <select name="" id="" class="sorter-option">
                            <option value="@ProductFilterSortType.NewToOld">New to old</option>
                            <option value="@ProductFilterSortType.OldToNew">Old To New</option>
                            <option value="@ProductFilterSortType.PriceHighToLow">Price High To Low</option>
                            <option value="@ProductFilterSortType.PriceLowToHigh">Price Low To High</option>
                            <option value="@ProductFilterSortType.AToZ">A To Z</option>
                            <option value="@ProductFilterSortType.ZToA">Z To A</option>
                        </select>
                        <span class="ecs-sort-alt-up sort">
                        </span>
                    </div>
                </div>
            </div>
            @if (Model.TotalItemCount == 0)
            {
                <p class="text-center p-4">Không tìm thấy sản phẩm nào hết</p>
            }
            else
            {
                @await Html.PartialAsync("_FilterProduct", Model)
            }


        </div>
        <div class="section-footer">

        </div>
    </div>
</main>